Skip to main content
`Ctrl`+`K`

# ISGetLayout

get `PetscLayout` describing index set layout

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISGetLayout(IS is, PetscLayout *map)

Not Collective

## Input Parameter

- is - the index set

## Output Parameter

- map - the layout

## See Also

`IS`, `PetscLayout`, `ISSetLayout()`, `ISGetSize()`, `ISGetLocalSize()`

## Level

developer

## Location

src/vec/is/is/interface/index.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages